    /**
     * Document load function
     * @type type
     */
    
    require([ 'jquery'], function($){
        $(document).ready(function($) {
            binPakgFlag = true;
        });
    });
    
    /**
     * 
     * @param {type} ajaxUrl
     * @return {Boolean}
     */
    function fedexOneRateLoadBoxes(ajaxUrl){
        var parameters = {
                'action'     : 'loadonerateboxes',
            };

        ajaxRequest(parameters, ajaxUrl, fedexOneRateLoadRes);
        return false;
    }

    /**
     * 
     * @return {Boolean}
     */
    function fedExOneRateCancel(){
         for(var i=0 ; i < 14 ; i++){
           jQuery('#'+i).prop('checked', false);     
       }
       return false;
    }

    /**
     * 
     * @param {type} data
     * @return {Boolean}
     */
    function fedexOneRateLoadRes(data){
        fedExOneRateCancel();
        if(data.length>0){
             for(var i=0 ; i < data.length ; i++){
                 jQuery('#'+data[i].oneRateId).prop('checked', true);     
             }
         } 
         return false; 
    }

    /**
     * 
     * @param {type} ajaxUrl
     * @return {Boolean}
     */
    function fedExOneRateSaveData(ajaxUrl) {
        var data = jQuery("#add-fexExOneRate").serialize();
        ajaxRequest(data, ajaxUrl, fedExOneRateSaveResult);
        return false;
    }

    /**
     * 
     * @param {type} dataArr
     * @return {Boolean}
     */
    function fedExOneRateSaveResult(dataArr){
        var del = dataArr.delete; 
        var data = dataArr.data;
        if (typeof dataArr.delete != 'undefined')
        {
            var removeArr = dataArr.delete;
            jQuery.each(removeArr , function(ind , postId)
            {
                jQuery("#row-" + postId).remove();
            });        
        }
        jQuery.each(data , function(key , insert){
                var DataId = insert.id;
                var available = (insert.boxavailable == 'Yes')?1:0;
                if (insert.insertid == 1) {
                    jQuery('#append-boxsize').append('<tr id="row-'+DataId+'" data-id="'+DataId+'"><td>'+insert.nickname+'</td><td>'+insert.boxlength+'</td><td>'+insert.boxwidth+'</td><td>'+insert.boxheight+'</td><td>'+insert.boxmaxweight+'</td><td>'+insert.boxweight+'</td><td id="boxAvailable-'+DataId+'"><a href="javascript(0)" onclick="return changeBoxAvailability('+ DataId +',\''+ boxAvailableUrl +'\','+ available +');">'+insert.boxavailable+'</a></td><td><a href="#" onclick="return editOneRate(\''+ oneRateLoadBoxesUrl +'\');">Edit</a> / <a href="#" onclick="return deleteCurrentBox('+ DataId +',\''+ deleteBoxUrl +'\');">Delete</a></td></tr>');
                    jQuery('html, body').animate({
                        'scrollTop' : jQuery('.box-hr').position().top
                    });
                }               
        });
        if(dataArr.data.length > 0 || dataArr.delete.length > 0 ){
              jQuery('.fedEx-OneRate-saved').css('display' , 'block');
               setTimeout(function(){
                jQuery('.fedEx-OneRate-saved').hide('slow');
             }, 3000);
        }

        window.location.href = jQuery('.confirm-add-box').attr('href');
        return false;
    }
    
    /**
     * 
     * @param {type} ajaxUrl
     * @return {Boolean}
     */
    function editOneRate(ajaxUrl){
       var parameters = {
            'action'    : 'editBoxSize',
            //'edit_id'   : boxId
        };
        ajaxRequest(parameters, ajaxUrl, oneRateEditResSettings);
        return false;
   }
   
   /**
    * 
    * @param {type} data
    * @return {Boolean}
    */
   function oneRateEditResSettings(data){
      fedExOneRateCancel();
       if(data.length>0){
            for(var i=0 ; i < data.length ; i++){
                jQuery('#'+data[i].oneRateId).prop('checked', true);     
            }
        } 
        window.location.href = jQuery('.add-onerate-box').attr('href');
        return false;  
   }